'use client';
import Dropdown from '@/components/dropdown';
import IconHorizontalDots from '@/components/icon/icon-horizontal-dots';
import PanelCodeHighlight from '@/components/panel-code-highlight';
import { IRootState } from '@/store';
import React from 'react';
import { useSelector } from 'react-redux';

export default function() {
    const isRtl = useSelector((state: IRootState) => state.themeConfig.rtlClass) === 'rtl';
    return (
        <PanelCodeHighlight
            title="سه نقطه"
        >
            <div className="mb-5">
                <div className="flex w-full">
                    <div className="flex w-1/4 items-center justify-center">
                        <div className="dropdown">
                            <Dropdown
                                placement={`${isRtl ? 'top-end' : 'top-start'}`}
                                btnClassName="btn p-0 rounded-none border-0 shadow-none dropdown-toggle text-black dark:text-white-dark hover:text-primary dark:hover:text-primary"
                                button={<IconHorizontalDots className="h-6 w-6 opacity-70" />}
                            >
                                <ul className="!min-w-[170px]">
                                    <li>
                                        <button type="button">منوی اول</button>
                                    </li>
                                    <li>
                                        <button type="button">منوی دوم</button>
                                    </li>
                                    <li>
                                        <button type="button">منوی سوم</button>
                                    </li>
                                    <li>
                                        <button type="button">منوی جهارم</button>
                                    </li>
                                </ul>
                            </Dropdown>
                        </div>
                    </div>
                </div>
            </div>
        </PanelCodeHighlight>
    );
}
